From f5be64704096d5bdf9f75cc78dc571c6d9325fcb Mon Sep 17 00:00:00 2001
From: "Bryn M. Reeves" <bmr@redhat.com>
Date: Thu, 27 Mar 2014 16:38:29 +0000
Subject: [PATCH 56/72] Remove references to 'sub' parameter from plugin tests

Signed-off-by: Bryn M. Reeves <bmr@redhat.com>
---
 tests/plugin_tests.py | 10 +++-------
 1 file changed, 3 insertions(+), 7 deletions(-)

diff --git a/tests/plugin_tests.py b/tests/plugin_tests.py
index 4ba5968..cf874f1 100644
--- a/tests/plugin_tests.py
+++ b/tests/plugin_tests.py
@@ -197,10 +197,6 @@ class PluginTests(unittest.TestCase):
         self.mp.do_copy_path("tests")
         self.assertEquals(self.mp.archive.m["tests/plugin_tests.py"], 'tests/plugin_tests.py')
 
-    def test_copy_dir_sub(self):
-        self.mp.do_copy_path("tests", sub=("tests/", "foobar/"))
-        self.assertEquals(self.mp.archive.m["tests/plugin_tests.py"], 'foobar/plugin_tests.py')
-
     def test_copy_dir_bad_path(self):
         self.mp.do_copy_path("not_here_tests")
         self.assertEquals(self.mp.archive.m, {})
@@ -225,14 +221,14 @@ class AddCopySpecLimitTests(unittest.TestCase):
 
     def test_single_file_under_limit(self):
         self.mp.add_copy_spec_limit("tests/tail_test.txt", 1)
-        self.assertEquals(self.mp.copy_specs, [('tests/tail_test.txt', None)])
+        self.assertEquals(self.mp.copy_specs, ['tests/tail_test.txt'])
 
     def test_single_file_over_limit(self):
         fn = create_file(2) # create 2MB file, consider a context manager
-        self.mp.add_copy_spec_limit(fn, 1, sub=('tmp', 'awesome'))
+        self.mp.add_copy_spec_limit(fn, 1)
         content, fname = self.mp.copy_strings[0]
         self.assertTrue("tailed" in fname)
-        self.assertTrue("awesome" in fname)
+        self.assertTrue("tmp" in fname)
         self.assertTrue("/" not in fname)
         self.assertEquals(1024 * 1024, len(content))
         os.unlink(fn)
-- 
1.9.3

